<div *ngIf="currentPatient" class="edit-form">
  <h4>Données</h4>
  <form>
    <div class="form-group">
      <label>Civilité</label>
      <input
        type="text"
        class="form-control"
        id="Volume"
        [(ngModel)]="currentPatient.sex"
        name="Volume"
      />
    </div>
    <div class="form-group">
      <label for="Date">Nom</label>
      <input
        type="text"
        class="form-control"
        id="Date"
        [(ngModel)]="currentPatient.lastName"
        name="Date"
      />
    </div>
    <div class="form-group">
      <label for="Heure">Prenom</label>
      <input
        type="text"
        class="form-control"
        id="Heure"
        [(ngModel)]="currentPatient.firstName"
        name="Heure"
      />
    </div>
    <div class="form-group">
      <label>Date de Naissance</label>
      <input
        type="date"
        class="form-control"
        id="dateOfBirthday"
        [(ngModel)]="currentPatient.dateOfBirthday"
        name="dateOfBirthday"
      />
    </div>
    <div class="form-group">
      <label for="service">Service</label>
      <input
        type="text"
        class="form-control"
        id="service"
        [(ngModel)]="currentPatient.service"
        name="service"
      />
    </div>
    <div class="form-group">
      <label for="floor">Etage</label>
      <input
        type="number"
        class="form-control"
        id="floor"
        [(ngModel)]="currentPatient.floor"
        name="numberOfFloor"
      />
    </div>
    <div class="form-group">
      <label for="numberOfRoom">Chambre</label>
      <input
        type="number"
        class="form-control"
        id="numberOfRoom"
        [(ngModel)]="currentPatient.numberOfRoom"
        name="numberOfRoom"
      />
    </div>
    <div class="form-group">
      <label for="numberOfBed">Numero de Lit</label>
      <input
        type="number"
        class="form-control"
        id="numberOfBed"
        [(ngModel)]="currentPatient.numberOfBed"
        name="numberOfBed"
      />
    </div>
  </form>
    <button (click)="getUrineInPatientById()" class="badge badge-success">données Urines</button>
  <button type="submit" class="badge badge-success" (click)="updateTutorial()">Mise à jour</button>
  <h3>{{ message }}</h3>
  <table class="table table-dark table-hover table-striped">
    <thead class="thead-light">
    <tr>
      <th>Date</th>
      <th>Heure</th>
      <th>Volume urinée</th>
      <th>Volume Totale urinée</th>
      <th>Volume eau usée</th>
      <th>Volume Totale eau usée</th>
    </tr>
    </thead>
   <tbody>
    <tr *ngFor="let data of patient.urinesData">
      <td>{{data.date}}</td>
      <td>{{data.hour}}</td>
      <td>{{data.volumeUrine}}</td>
      <td>{{data.volume_TotalUrine}}</td>
      <td>{{data.volume_eauUsee}}</td>
      <td>{{data.volume_Total_eauUsee}}</td>
    </tr>
    </tbody>
  </table>
</div>
<div *ngIf="!currentPatient">
  <br/>
  <p>Cannot access this Tutorial...</p>
</div>

